Public Class cResponseEvent

    Public Sub OnProvisionalResponse(ByRef objCallData As cCallData, ByVal nStatusCode As Integer, ByVal sReasonPhrase As String)

        If ((objCallData.m_objBindCallData Is Nothing) Or (objCallData.m_objBindCallData.m_bConnected = True)) Then
            Exit Sub
        End If

        cServerSIP.m_objServerSIP.SendResponse(objCallData.m_objBindCallData, nStatusCode, sReasonPhrase)

    End Sub

    Public Sub OnFailureResponse(ByRef objCallData As cCallData, ByVal nStatusCode As Integer, ByVal sReasonPhrase As String)

        Dim objBindCallData As cCallData = objCallData.m_objBindCallData

        If Not objBindCallData Is Nothing Then
            cServerSIP.m_objServerSIP.CloseCall(objBindCallData)
        End If

        cServerSIP.m_objServerSIP.CloseCall(objCallData)

    End Sub

    Public Sub OnRedirectionResponse(ByRef objCallData As cCallData, ByVal nStatusCode As Integer, ByVal sReasonPhrase As String, ByVal sContact As String)
        OnFailureResponse(objCallData, nStatusCode, sReasonPhrase)
    End Sub

End Class
