#include "StdAfx.h"
#include "ResponseEvent.h"
#include "CallList.h"
#include "ServerSIP.h"

cResponseEvent::cResponseEvent(void)
{
}

void cResponseEvent::OnProvisionalResponse(cCallData^ objCallData, int nStatusCode, String^ sReasonPhrase)
{
    if((objCallData->m_objBindCallData == nullptr) || (objCallData->m_objBindCallData->m_bConnected == true))
        return;
    
	cServerSIP::m_objServerSIP->SendResponse(objCallData->m_objBindCallData, nStatusCode, sReasonPhrase);
}

void cResponseEvent::OnFailureResponse(cCallData^ objCallData, int nStatusCode, String^ sReasonPhrase)
{
    cCallData^ objBindCallData = objCallData->m_objBindCallData;

    if(objBindCallData != nullptr)
		cServerSIP::m_objServerSIP->CloseCall(objBindCallData);

	cServerSIP::m_objServerSIP->CloseCall(objCallData);
}

void cResponseEvent::OnRedirectionResponse(cCallData^ objCallData, int nStatusCode, String^ sReasonPhrase, String^ sContact)
{
    OnFailureResponse(objCallData, nStatusCode, sReasonPhrase);
}