#if !defined(AFX_TELNETCLIENT_H__EA406C35_125D_45F3_AE62_3B3DA3E54807__INCLUDED_)
#define AFX_TELNETCLIENT_H__EA406C35_125D_45F3_AE62_3B3DA3E54807__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TelnetClient.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTelnetClient command target

class CTelnetClient : public CAsyncSocket
{
// Attributes
public:

// Operations
public:
	CTelnetClient();
	virtual ~CTelnetClient();

private:

	CString m_sLoginTelnet;
	CString m_sPasswordTelnet;

	CString m_sRecvBuffer;
	
	int m_nAuthStep;
	int m_nAuthStatus;

public:
	
	void Disconnect();
	BOOL Connect(LPCTSTR sToIP, UINT nToPort, LPCTSTR sLogin, LPCTSTR sPassword);

	void ReceiveData();
	CString FindRequest();
	void FillRecvBuffer();
	
	BOOL ParseRequest(CString objRequest, CString& objCommand, CStringList* pParamList);
	
	void OnRequest(LPCTSTR sCommand, CStringList* pParamList);
	void OnAuthrization(CString sData);
	void OnDisconnect();

	void SendCommand(LPCTSTR sCommand, CStringList* pParamList);

// Overrides
public:
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTelnetClient)
	public:
	virtual void OnReceive(int nErrorCode);
	virtual void OnClose(int nErrorCode);
	//}}AFX_VIRTUAL

	// Generated message map functions
	//{{AFX_MSG(CTelnetClient)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

// Implementation
protected:
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TELNETCLIENT_H__EA406C35_125D_45F3_AE62_3B3DA3E54807__INCLUDED_)
