
#include "stdafx.h"
#include "VaxTeleServiceSIP.h"
#include "MainThread.h"

BOOL m_bStopService = FALSE;

/*
void DebugLog(CString sMsg)
{
	CFile FileDebug;
	FileDebug.Open("c:\\VaxTeleDebugLog.txt", CFile::modeCreate|CFile::modeNoTruncate|CFile::modeWrite);

	FileDebug.SeekToEnd();
	FileDebug.Write(sMsg, sMsg.GetLength());
	FileDebug.Close();
}
*/

void ServiceStart (DWORD dwArgc, LPTSTR *lpszArgv)
{
	if(!ReportStatusToSCMgr(SERVICE_START_PENDING, NO_ERROR, 3000))
	{
		return;	   
	}
	
	CMainThread* pMainThread = (CMainThread*) AfxBeginThread(RUNTIME_CLASS(CMainThread));

	::Sleep(1000);

	pMainThread->PostStartThread();
	
	if(!ReportStatusToSCMgr(SERVICE_RUNNING, NO_ERROR, 3000))
	{
		pMainThread->PostStopThread();	
		return;	   
	}
	
	m_bStopService = FALSE;

	while(!m_bStopService)
	{
		::Sleep(2000);
	}

	pMainThread->PostStopThread();
	::Sleep(1000);
}


void ServiceStop()
{
	m_bStopService = TRUE;

	::Sleep(5000);
}
