using System;
using System.Collections.Generic;
using System.Text;

class cResponseEvent
{
    public void OnProvisionalResponse(ref cCallData objCallData, int nStatusCode, string sReasonPhrase)
    {
        if((objCallData.m_objBindCallData == null) || (objCallData.m_objBindCallData.m_bConnected == true))
            return;
        
        cServerSIP.m_objServerSIP.SendResponse(ref objCallData.m_objBindCallData, nStatusCode, sReasonPhrase);
    }

    public void OnFailureResponse(ref cCallData objCallData, int nStatusCode, string sReasonPhrase)
    {
        cCallData objBindCallData = objCallData.m_objBindCallData;

        if(objBindCallData != null)
            cServerSIP.m_objServerSIP.CloseCall(ref objBindCallData);

        cServerSIP.m_objServerSIP.CloseCall(ref objCallData);
    }

    public void OnRedirectionResponse(ref cCallData objCallData, int nStatusCode, string sReasonPhrase, string sContact)
    {
        OnFailureResponse(ref objCallData, nStatusCode, sReasonPhrase);
    }
}

